:root {
--eggshell: #EFEAD8;
--terracotta: #A75D5D;
--clay: #D3756B;
--tangerine: #F0997D;
--paleyellow: #FFC3A1;
}

* {
    font-family: Tahoma, sans-serif;
    box-sizing: border-box;
    padding: 0;
    margin: 0;
    scroll-behavior: smooth;
}

body {
    background-color: var(--terracotta);
    color: var(--tangerine);
    transition: flex-basis 500ms linear;
}

header, footer {
    background-color: var(--clay);
    color: var(--paleyellow);
    display: flex;
    justify-content: center;
    align-items: center;
    height: 100vh;
    width: 100vw;
    margin: auto;
}

header {
    font-size: 40px;
    height: 90vh;
}

nav {
    height: 10vh;
    width: 100vw;
    position: fixed;
    background-color: var(--paleyellow);
}

nav a {
    color: var(--terracotta);
}

nav ul {
    list-style-type: none;
    display: flex;
    justify-content: space-evenly;
}

nav ul li {
    font-size: 50px;
    color: var(--terracotta);
}

h1 {
margin-left: 15px;
}

h2 {
    font-size: 50px;
    margin: 0 10px 0 10px;
}

h3{
    font-size: 25px;
}

main {
    display: flex;
    justify-content: flex-end;
}

p {
    font-size: 40px;
    margin: 0 10px 0 10px;
    line-height: 1.5;

}

a {
    color: var(--paleyellow);
    text-decoration: none;
}

img {
    display: grid;
    height: 200px;
    width: 200px;
}

form {
    background-color: var(--paleyellow);
    color: var(--terracotta);
    display: column;
}

footer {
    display: flex;
    font-size: 100px;
}

.footer{
    text-align: center;
}


.avatar {
    margin-right: 60px;
    height: 700px;
    width: 700px;
}

.container {
    display: flex;
    flex-wrap: wrap;
}

.about-me, .my-work, .links, .contact {
    display: flex;
    justify-content: center;
    align-items: center;
    height: 100vh;
    width: 100vw;
    margin: auto;
    overflow-y: scroll;
    scroll-behavior: smooth;
}

.about-me {
    background-color: var(--eggshell);
    color: var(--terracotta);
}

.my-work {
    background-color: var(--tangerine);
    color: var(--paleyellow);
    flex-wrap: wrap;
}

.card img, .card-small img {
    display: block;
    margin: 0 auto;
    padding-top: 5px;
}

.links {
    background-color: var(--terracotta);
    color: var(--tangerine);
    justify-content: left;
}

.links-h2{
    font-size: 120px;
    text-align: left;
}

.contact {
    background-color: var(--terracotta);
    color: var(--tangerine);
}

.card {
    flex: 1 0 100%;
    text-align: center;
    outline: 1px solid var(--eggshell);
}

.card-small {
    width: 50%;
    text-align: center;
    flex: 1 0 50%;
    border: 1px solid var(--eggshell);
    
}

.card-links {
    list-style-type: none;
    display: column;
    margin-left: 10px;
    justify-content: flex-end space-around;
    align-items: center;
    color: var(--paleyellow);
    font-size: 65px;
}

.aloha{
    color: var(--eggshell);
    margin-left: 5px;
    margin-right: 10px;
}

.headerdiv {
    display: flex;
    margin-left: 20px;
    margin-right: 10px;
    justify-content: center;
    align-items: center;
}

@media screen and (max-width: 992px) {
    header, main {
        flex-direction: column;
    }

    header div {
        display: flex;
        flex-direction: column;
    }

    p {
        line-height: 1;
    }

    header img {
        height: auto;
        width: auto;
    }

    nav ul {
        display: flex;
        flex-direction: column;
    }

}

@media screen and (max-width: 768px) {
    header, main {
        flex-direction: column;
    }

    header div {
        display: flex;
        flex-direction: column;
    }

    p {
        line-height: 1;
    }

    header img {
        height: auto;
        width: auto;
    }

    nav ul {
        display: flex;
        flex-direction: column;
    }

}

@media screen and (max-width: 480px) {
    header, main {
        flex-direction: column;
    }

    div {
        flex-direction: column;
    }
}